.. currentmodule:: tango

Enumerations & other classes
----------------------------

Enumerations
~~~~~~~~~~~~

.. autoclass:: tango.LockerLanguage

.. autoclass:: tango.CmdArgType

.. autoclass:: tango.MessBoxType

.. autoclass:: tango.PollObjType

.. autoclass:: tango.PollCmdCode

.. autoclass:: tango..SerialModel

.. autoclass:: tango.AttReqType

.. autoclass:: tango.LockCmdCode

.. autoclass:: tango.LogLevel

.. autoclass:: tango.LogTarget

.. autoclass:: tango.EventType

.. autoclass:: tango.KeepAliveCmdCode

.. autoclass:: tango.AccessControlType

.. autoclass:: tango.asyn_req_type

.. autoclass:: tango.cb_sub_model

.. autoclass:: tango.AttrQuality

.. autoclass:: tango.AttrWriteType

.. autoclass:: tango.AttrDataFormat

.. autoclass:: tango.PipeWriteType

.. autoclass:: tango.DevSource

.. autoclass:: tango.ErrSeverity

.. autoclass:: tango.DevState

.. autoclass:: tango.DispLevel

.. autoclass:: tango.GreenMode


Other classes
~~~~~~~~~~~~~

.. autoclass:: tango.Release
    :members:
    
.. autoclass:: tango.TimeVal
    :members:
